# Gridlock - a collection of grid-based strategy games
# Copyright (c) 2009 Brian Nenninger (brian@dozingcatsoftware.com)
# Gridlock comes with ABSOLUTELY NO WARRANTY, and is released under version 3 of the GNU GPL.

import PGOpenGLUtils
import LineGame_UI_WX

def postDrawCell(state, coord, scale):
    if LineGame_UI_WX.in_winning_line(state, coord):
        LineGame_UI_WX.draw_winner_overlay(state, coord, scale)
    else:
        # draw overlay to separate 3x3 blocks
        color = (0,0,1) if (coord[0]//3 + coord[1]//3)%2==0 else (0.5,0.5,0.5)
        PGOpenGLUtils.draw_cube_overlay(coord, color, scale)
